.TH wxColourData 3 "wx  0.98.3" "Ericsson AB" "ERLANG MODULE DEFINITION"
.SH MODULE
wxColourData \- See external documentation: wxColourData\&.
.SH DESCRIPTION
.LP
See external documentation: wxColourData <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxcolourdata\&.html>\&.

.SH DATA TYPES
.RS 2
.TP 4
.B
\fIwxColourData()\fR:

.RS 4
.LP
An object reference, The representation is internal and can be changed without notice\&. It can\&'t be used for comparsion stored on disc or distributed for use on other nodes\&.
.LP

.RE
.RE
.SH EXPORTS
.LP
.B
new() -> wxColourData()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxcolourdata\&.html#wxcolourdatawxcolourdata>\&.
.RE
.LP
.B
new(Data::wxColourData()) -> wxColourData()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxcolourdata\&.html#wxcolourdatawxcolourdata>\&.
.RE
.LP
.B
getChooseFull(This::wxColourData()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxcolourdata\&.html#wxcolourdatagetchoosefull>\&.
.RE
.LP
.B
getColour(This::wxColourData()) -> colour() (see module wx)
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxcolourdata\&.html#wxcolourdatagetcolour>\&.
.RE
.LP
.B
getCustomColour(This::wxColourData(), I::integer()) -> colour() (see module wx)
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxcolourdata\&.html#wxcolourdatagetcustomcolour>\&.
.RE
.LP
.B
setChooseFull(This::wxColourData(), Flag::bool()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxcolourdata\&.html#wxcolourdatasetchoosefull>\&.
.RE
.LP
.B
setColour(This::wxColourData(), Colour::colour() (see module wx)) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxcolourdata\&.html#wxcolourdatasetcolour>\&.
.RE
.LP
.B
setCustomColour(This::wxColourData(), I::integer(), Colour::colour() (see module wx)) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxcolourdata\&.html#wxcolourdatasetcustomcolour>\&.
.RE
.LP
.B
destroy(This::wxColourData()) -> ok
.br
.RS
.LP
Destroys this object, do not use object again
.RE
